# Documentation

Menu

## SQL extends AbstractSQL
in package

SQL.php : 25

MySQL specific SQL

### Table of Contents

columnList() : string
  SQL to show information about columns in a table
dbList() : string
  Returns sql to list other databases
explain() : string
  Get the query plan for the sql query
fkList() : string
  Get the list of foreign keys for the current table
functionList() : string
  Return sql to list functions
indexList() : string
  Get the list of indexes for the current table
limit() : string
  Limit clause
procedureList() : string
  Return sql to list stored procedures
random() : string
  Random ordering keyword
sequenceList() : string|null
  Return sql to list sequences
systemTableList() : string
  Overridden in MySQL class
tableList() : string
  Returns sql to list tables
triggerList() : string
  Returns sql to list triggers
typeList() : string
  SQL to show list of field types
viewList() : string
  Returns sql to list views

### Methods

#### columnList()

SQL.php : 146

SQL to show information about columns in a table

`public columnList(string $table) : string`

##### Parameters

$table : string

##### Return values

string —

#### dbList()

SQL.php : 59

Returns sql to list other databases

`public dbList() : string`

##### Return values

string —

#### explain()

SQL.php : 43

Get the query plan for the sql query

`public explain(string $sql) : string`

##### Parameters

$sql : string

##### Return values

string —

#### fkList()

SQL.php : 155

Get the list of foreign keys for the current table

`public fkList(string $table) : string`

##### Parameters

$table : string

##### Return values

string —

#### functionList()

SQL.php : 112

Return sql to list functions

`public functionList() : string`

##### Return values

string —

#### indexList()

SQL.php : 177

Get the list of indexes for the current table

`public indexList(string $table) : string`

##### Parameters

$table : string

##### Return values

string —

#### limit()

SQL.php : 30

Limit clause

`public limit(string $sql, int $limit[, int|null $offset = NULL ]) : string`

##### Parameters

$sql : string
$limit : int
$offset : int|null = NULL

##### Return values

string —

#### procedureList()

SQL.php : 121

Return sql to list stored procedures

`public procedureList() : string`

##### Return values

string —

#### random()

SQL.php : 51

Random ordering keyword

`public random() : string`

##### Return values

string —

#### sequenceList()

SQL.php : 130

Return sql to list sequences

`public sequenceList() : string|null`

##### Return values

string|null —

#### systemTableList()

SQL.php : 84

Overridden in MySQL class

`public systemTableList() : string`

##### Return values

string —

#### tableList()

SQL.php : 69

Returns sql to list tables

`public tableList([string $database = '' ]) : string`

##### Parameters

$database : string = ''

##### Return values

string —

#### triggerList()

SQL.php : 103

Returns sql to list triggers

`public triggerList() : string`

##### Return values

string —

#### typeList()

SQL.php : 138

SQL to show list of field types

`public typeList() : string`

##### Return values

string —

#### viewList()

SQL.php : 95

Returns sql to list views

`public viewList() : string`

##### Return values

string —

## Search results